package cn.com.countrygarden.bi.main.service.performance.impl;

import cn.com.countrygarden.bi.main.dao.performance.UserTargetMapper;
import cn.com.countrygarden.bi.main.model.performance.UserTarget;
import cn.com.countrygarden.bi.main.service.performance.UserTargetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class UserTargetServiceImpl implements UserTargetService {

    @Autowired
    private UserTargetMapper dao;

    @Override
    public int deleteByPrimaryKey(Integer utid) {
        return dao.deleteByPrimaryKey(utid);
    }

    @Override
    public int insertSelective(UserTarget record) {
        return dao.insertSelective(record);
    }

    @Override
    public UserTarget selectByPrimaryKey(Integer utid) {
        return dao.selectByPrimaryKey(utid);
    }

    @Override
    public int updateByPrimaryKeySelective(UserTarget record) {
        return dao.updateByPrimaryKeySelective(record);
    }

    @Override
    public UserTarget selectCouldPower(UserTarget record) {
        return dao.selectCouldPower(record);
    }

    @Override
    public List<String> selectAllUserCode(Map<String, Integer> map) {
        return dao.selectAllUserCode(map);
    }

    @Override
    public int deleteUserCodeAll(String userCode) {
        return dao.deleteUserCodeAll(userCode);
    }

    @Override
    public Long selectExistUser(String userCode) {
        return dao.selectExistUser(userCode);
    }

    @Override
    public Long countSelectAllUserCode() {
        return dao.countSelectAllUserCode();
    }

    @Override
    public int updateIsDelete(String userCode) {
        return dao.updateIsDelete(userCode);
    }
}
